Skip to main content
`Ctrl`+`K`

# PCSPAI

Use the Sparse Approximate Inverse method [GH97]

## Options Database Keys

- -pc_spai_epsilon <eps> - set tolerance

- -pc_spai_nbstep <n> - set nbsteps

- -pc_spai_max <m> - set max

- -pc_spai_max_new <m> - set maxnew

- -pc_spai_block_size <n> - set block size

- -pc_spai_cache_size <n> - set cache size

- -pc_spai_sp <m> - set sp

- -pc_spai_set_verbose <true,false> - verbose output

## Note

This only works with `MATAIJ` matrices.

## References

[GH97]

M. J. Grote and T. Huckle. Parallel preconditioning with sparse approximate inverses. SIAM J. of Scient. Comput., 18:838–853, 1997.

## See Also

KSP: Linear System Solvers, `PCCreate()`, `PCSetType()`, `PCType`, `PC`, `PCSPAISetEpsilon()`, `PCSPAISetMax()`, `PCSPAISetMaxNew()`, `PCSPAISetBlockSize()`, `PCSPAISetVerbose()`, `PCSPAISetSp()`, `PCSPAISetNBSteps()`, `PCSPAISetCacheSize()`

## Level

beginner

## Location

src/ksp/pc/impls/spai/ispai.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages